Subject: Interesting issue when using IPv6 autoconf sysctl.

From: Ben Greear <[email-masked]>
Date: Wed, 09 Jun 2010 18:09:35 -0700

I just tried using the /proc/sys/net/ipv6/conf/[dev]/autoconf
feature to run off auto-configured link-local addresses
for one of my interfaces.

It worked like a charm, the address is gone,
and now the /proc/sys/net/ipv6/conf/[dev]
directory does not exist so I can't turn it back on!

I can work around this by forcing an ipv6 address back
onto the interface and then removing it, but that
is pretty crufty!

There has got to be a better way to implement this!

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com